ImageSizeParameter (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.afp.ioca

## Class ImageSizeParameter

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.ioca.ImageSizeParameter

- All Implemented Interfaces:
    Streamable

      public class ImageSizeParameter
      extends AbstractAFPObject

  Describes the measurement characteristics of the image when it is created.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageSizeParameter(int hsize, int vsize, int hresol, int vresol)` Constructor for a ImageSizeParameter for the specified resolution, hsize and vsize.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageSizeParameter

          public ImageSizeParameter(int hsize,
                                    int vsize,
                                    int hresol,
                                    int vresol)

      Constructor for a ImageSizeParameter for the specified resolution, hsize and vsize.
      Parameters:
        `hsize` - The horizontal size of the image.
        `vsize` - The vertical size of the image.
        `hresol` - The horizontal resolution of the image.
        `vresol` - The vertical resolution of the image.

  - ### Method Detail

    - #### writeToStream

          public void writeToStream(OutputStream os)
                             throws IOException

      DataStream objects must implement the writeToStream() method to write its data to the given OutputStream
      Parameters:
        `os` - the outputsteam stream
      Throws:
        `IOException` - an I/O exception of some sort has occurred.

Copyright © 2025 Apache Software Foundation. All rights reserved.